VULKAN_HPP_NAMESPACE::RenderPassBeginInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::RenderPassBeginInfo:
[legend]

## Public Member Functions

| RenderPassBeginInfo (RenderPass renderPass_=RenderPass(), Framebuffer framebuffer_=Framebuffer(), Rect2D renderArea_=Rect2D(), uint32_t clearValueCount_=0, const ClearValue *pClearValues_=nullptr)
| RenderPassBeginInfo (VkRenderPassBeginInfo const &rhs)
RenderPassBeginInfo & | operator= (VkRenderPassBeginInfo const &rhs)
RenderPassBeginInfo & | setPNext (const void *pNext_)
RenderPassBeginInfo & | setRenderPass (RenderPass renderPass_)
RenderPassBeginInfo & | setFramebuffer (Framebuffer framebuffer_)
RenderPassBeginInfo & | setRenderArea (Rect2D renderArea_)
RenderPassBeginInfo & | setClearValueCount (uint32_t clearValueCount_)
RenderPassBeginInfo & | setPClearValues (const ClearValue *pClearValues_)
| operator VkRenderPassBeginInfo const & () const
| operator VkRenderPassBeginInfo & ()
bool | operator== (RenderPassBeginInfo const &rhs) const
bool | operator!= (RenderPassBeginInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
RenderPass | renderPass
Framebuffer | framebuffer
Rect2D | renderArea
uint32_t | clearValueCount
const ClearValue * | pClearValues

## Private Attributes

StructureType | sType = StructureType::eRenderPassBeginInfo

## Detailed Description

Definition at line 11400 of file vulkan.hpp.

## Constructor & Destructor Documentation

## RenderPassBeginInfo() [1/2]

VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::RenderPassBeginInfo | ( | RenderPass | renderPass_ = `RenderPass()`,
|  | Framebuffer | framebuffer_ = `Framebuffer()`,
|  | Rect2D | renderArea_ = `Rect2D()`,
|  | uint32_t | clearValueCount_ = `0`,
|  | const ClearValue * | pClearValues_ = `nullptr`
| ) |  |

inline

Definition at line 11402 of file vulkan.hpp.

: renderPass( renderPass_ )
, framebuffer( framebuffer_ )
, renderArea( renderArea_ )
, clearValueCount( clearValueCount_ )
, pClearValues( pClearValues_ )
{
}

## RenderPassBeginInfo() [2/2]

VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::RenderPassBeginInfo | ( | VkRenderPassBeginInfo const & | rhs | ) |

inline

Definition at line 11415 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassBeginInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkRenderPassBeginInfo &()

VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::operator VkRenderPassBeginInfo & | ( |  | ) |

inline

Definition at line 11466 of file vulkan.hpp.

{
return *reinterpret_cast<VkRenderPassBeginInfo*>(this);
}

## operator VkRenderPassBeginInfo const &()

VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::operator VkRenderPassBeginInfo const & | ( |  | ) | const

inline

Definition at line 11461 of file vulkan.hpp.

{
return *reinterpret_cast<const VkRenderPassBeginInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::operator!= | ( | RenderPassBeginInfo const & | rhs | ) | const

inline

Definition at line 11482 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::operator= | ( | VkRenderPassBeginInfo const & | rhs | ) |

inline

Definition at line 11420 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassBeginInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::operator== | ( | RenderPassBeginInfo const & | rhs | ) | const

inline

Definition at line 11471 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( renderPass == rhs.renderPass )
&& ( framebuffer == rhs.framebuffer )
&& ( renderArea == rhs.renderArea )
&& ( clearValueCount == rhs.clearValueCount )
&& ( pClearValues == rhs.pClearValues );
}

References clearValueCount, framebuffer, pClearValues, pNext, renderArea, renderPass, and sType.

Referenced by operator!=().

## setClearValueCount()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::setClearValueCount | ( | uint32_t | clearValueCount_ | ) |

inline

Definition at line 11449 of file vulkan.hpp.

{
clearValueCount = clearValueCount_;
return *this;
}

References clearValueCount.

## setFramebuffer()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::setFramebuffer | ( | Framebuffer | framebuffer_ | ) |

inline

Definition at line 11437 of file vulkan.hpp.

{
framebuffer = framebuffer_;
return *this;
}

## setPClearValues()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::setPClearValues | ( | const ClearValue * | pClearValues_ | ) |

inline

Definition at line 11455 of file vulkan.hpp.

{
pClearValues = pClearValues_;
return *this;
}

References pClearValues.

## setPNext()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11425 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setRenderArea()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::setRenderArea | ( | Rect2D | renderArea_ | ) |

inline

Definition at line 11443 of file vulkan.hpp.

{
renderArea = renderArea_;
return *this;
}

References renderArea.

## setRenderPass()

RenderPassBeginInfo& VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::setRenderPass | ( | RenderPass | renderPass_ | ) |

inline

Definition at line 11431 of file vulkan.hpp.

{
renderPass = renderPass_;
return *this;
}

References renderPass.

## Field Documentation

## clearValueCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::clearValueCount

Definition at line 11495 of file vulkan.hpp.

Referenced by operator==(), and setClearValueCount().

## framebuffer

Framebuffer VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::framebuffer

Definition at line 11493 of file vulkan.hpp.

Referenced by operator==().

## pClearValues

const ClearValue* VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::pClearValues

Definition at line 11496 of file vulkan.hpp.

Referenced by operator==(), and setPClearValues().

## pNext

const void* VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::pNext = nullptr

Definition at line 11491 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## renderArea

Rect2D VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::renderArea

Definition at line 11494 of file vulkan.hpp.

Referenced by operator==(), and setRenderArea().

## renderPass

RenderPass VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::renderPass

Definition at line 11492 of file vulkan.hpp.

Referenced by operator==(), and setRenderPass().

## sType

StructureType VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::sType = StructureType::eRenderPassBeginInfo

private

Definition at line 11488 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::framebuffer
Framebuffer framebuffer
Definition: vulkan.hpp:11493
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::renderArea
Rect2D renderArea
Definition: vulkan.hpp:11494
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::operator==
bool operator==(RenderPassBeginInfo const &rhs) const
Definition: vulkan.hpp:11471
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::pNext
const void * pNext
Definition: vulkan.hpp:11491
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::sType
StructureType sType
Definition: vulkan.hpp:11488
VkRenderPassBeginInfo
Definition: vulkan_core.h:2808
framebuffer
GLuint framebuffer
Definition: SDL_opengl_glext.h:1174
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::RenderPassBeginInfo
RenderPassBeginInfo(RenderPass renderPass_=RenderPass(), Framebuffer framebuffer_=Framebuffer(), Rect2D renderArea_=Rect2D(), uint32_t clearValueCount_=0, const ClearValue *pClearValues_=nullptr)
Definition: vulkan.hpp:11402
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::renderPass
RenderPass renderPass
Definition: vulkan.hpp:11492
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::pClearValues
const ClearValue * pClearValues
Definition: vulkan.hpp:11496
VULKAN_HPP_NAMESPACE::RenderPassBeginInfo::clearValueCount
uint32_t clearValueCount
Definition: vulkan.hpp:11495